package com.ruoyi.system.domain.fgw;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_节点安排对象 fgw_jdap
 * 
 * @author ruoyi
 * @date 2023-04-11
 */
public class FgwJdap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 节点完成年份 */
    @Excel(name = "节点完成年份")
    private String year;

    /** 月 */
    @Excel(name = "月")
    private String month;

    /** 节点完成时间 */
    //@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "节点完成时间", width = 30)
    private String jdsj;

    /** 节点安排内容 */
    @Excel(name = "节点安排内容")
    private String jdannr;

    /** 审核结果：0:未审核，1:审核通过，2:审核未通过 */
    @Excel(name = "审核结果：0:未审核，1:审核通过，2:审核未通过")
    private String shjg;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String shyj;

    /** 完成情况：0:无状态，1:未处理，2:未完成，3:已完成 */
    @Excel(name = "完成情况：0:无状态，1:未处理，2:未完成，3:已完成")
    private String sfwc;

    /** 超期天数 */
    @Excel(name = "超期天数")
    private Long cqts;

    /** 节点安排-责任单位 */
    private List<FgwJdapDw> fgwJdapZrDwList;

    /** 节点安排-协同单位 */
    private List<FgwJdapDw> fgwJdapXtDwList;

    /** 节点安排-附件 */
    private List<FgwJdapFj> fgwJdapFjList;

    public List<FgwJdapFj> getFgwJdapFjList() {
        return fgwJdapFjList;
    }

    public void setFgwJdapFjList(List<FgwJdapFj> fgwJdapFjList) {
        this.fgwJdapFjList = fgwJdapFjList;
    }

    public List<FgwJdapDw> getFgwJdapZrDwList() {
        return fgwJdapZrDwList;
    }

    public List<FgwJdapDw> getFgwJdapXtDwList() {
        return fgwJdapXtDwList;
    }

    public void setFgwJdapZrDwList(List<FgwJdapDw> fgwJdapZrDwList) {
        this.fgwJdapZrDwList = fgwJdapZrDwList;
    }

    public void setFgwJdapXtDwList(List<FgwJdapDw> fgwJdapXtDwList) {
        this.fgwJdapXtDwList = fgwJdapXtDwList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setJdsj(String jdsj)
    {
        this.jdsj = jdsj;
    }

    public String getJdsj()
    {
        return jdsj;
    }
    public void setJdannr(String jdannr) 
    {
        this.jdannr = jdannr;
    }

    public String getJdannr() 
    {
        return jdannr;
    }
    public void setShjg(String shjg) 
    {
        this.shjg = shjg;
    }

    public String getShjg() 
    {
        return shjg;
    }
    public void setShyj(String shyj) 
    {
        this.shyj = shyj;
    }

    public String getShyj() 
    {
        return shyj;
    }
    public void setSfwc(String sfwc) 
    {
        this.sfwc = sfwc;
    }

    public String getSfwc() 
    {
        return sfwc;
    }
    public void setCqts(Long cqts) 
    {
        this.cqts = cqts;
    }

    public Long getCqts() 
    {
        return cqts;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmmc", getXmmc())
            .append("year", getYear())
            .append("month", getMonth())
            .append("jdsj", getJdsj())
            .append("jdannr", getJdannr())
            .append("shjg", getShjg())
            .append("shyj", getShyj())
            .append("sfwc", getSfwc())
            .append("cqts", getCqts())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
